Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libdmx runtime library
Name: 		libdmx
Version: 	1.1.1
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libdmx runtime library

%package devel
Summary: 	X.Org X11 libdmx development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed for dmx.pc
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libdmx development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
       --disable-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libdmx.so.1
%{_libdir}/libdmx.so.1.0.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libdmx.a
%endif
%{_libdir}/libdmx.so
%{_libdir}/pkgconfig/dmx.pc
%{_includedir}/X11/extensions/dmxext.h
%{_mandir}/man3/DMX.3.gz
%{_mandir}/man3/DMXAddInput.3.gz
%{_mandir}/man3/DMXAddScreen.3.gz
%{_mandir}/man3/DMXChangeDesktopAttributes.3.gz
%{_mandir}/man3/DMXChangeScreensAttributes.3.gz
%{_mandir}/man3/DMXForceWindowCreation.3.gz
%{_mandir}/man3/DMXGetDesktopAttributes.3.gz
%{_mandir}/man3/DMXGetInputAttributes.3.gz
%{_mandir}/man3/DMXGetInputCount.3.gz
%{_mandir}/man3/DMXGetScreenAttributes.3.gz
%{_mandir}/man3/DMXGetScreenCount.3.gz
%{_mandir}/man3/DMXGetWindowAttributes.3.gz
%{_mandir}/man3/DMXQueryExtension.3.gz
%{_mandir}/man3/DMXQueryVersion.3.gz
%{_mandir}/man3/DMXRemoveInput.3.gz
%{_mandir}/man3/DMXRemoveScreen.3.gz
%{_mandir}/man3/DMXSync.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-6
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-5
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-4
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-3
- rebuilt for xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt for xorg 7.2
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
